POSTlive

Quote the filing fee for a proposed claim

Quote the filing fee for a proposed claim.

/api/v2/fees/quotequoteFilingFeeV2

Authentication and authority

No bearer credential is required.

Parameters

This operation has no path, query, or header parameters.

Request body

Required request body.

application/json

{
  "type": "object",
  "additionalProperties": false,
  "required": [
    "claimAmount"
  ],
  "properties": {
    "claimAmount": {
      "$ref": "#/components/schemas/FiatMoney",
      "type": "object",
      "additionalProperties": false,
      "required": [
        "currency",
        "minorUnits"
      ],
      "properties": {
        "currency": {
          "type": "string",
          "const": "USD"
        },
        "minorUnits": {
          "type": "string",
          "pattern": "^(0|[1-9][0-9]{0,77})$"
        }
      }
    },
    "declaratoryOnly": {
      "type": "boolean"
    }
  }
}

Responses

200

Versioned data envelope.

application/json

{
  "type": "object",
  "required": [
    "data",
    "requestId"
  ],
  "properties": {
    "data": {},
    "requestId": {
      "type": "string"
    }
  }
}
default

RFC 9457 style problem response.

application/problem+json

{
  "$ref": "#/components/schemas/Problem",
  "type": "object",
  "required": [
    "type",
    "title",
    "status",
    "code",
    "detail",
    "requestId"
  ],
  "properties": {
    "type": {
      "type": "string",
      "format": "uri"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer"
    },
    "code": {
      "type": "string"
    },
    "detail": {
      "type": "string"
    },
    "requestId": {
      "type": "string"
    }
  }
}

Example response

Successful response

{
  "data": {},
  "requestId": "requestId_test"
}

Usage notes

  • Responses reflect the current authoritative resource state.
  • The request is accepted only when its credential, authority, case state, and resource preconditions are satisfied.